#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/* @(#)iid.fc	14.1.1.1 (ESO-DMD) 09/16/99 09:34:08 */
/*===========================================================================
  Copyright (C) 1995 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetss Ave, Cambridge, 
  MA 02139, USA.
 
  Correspondence concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/


#include  <ftoc.h>


#if 0     /* ==== Original Code ==== */
SUBROUTINE IIDERR(erno,erstr,strl)
CHARACTER erstr;
fint2c *erno;
fint2c *strl;
#else     /* ==== Generated Code === */
#define IIDERR	iiderr_
IIDERR(va_alist) va_dcl 
{ va_list Cargs;
#endif    /* ======================= */
  int FORmark;           /* <forif> */
  va_start(Cargs);       /* <forif> */
  FORmark = ftoc_mark(); /* <forif> */

IIDERR_C(*PARAM(1,3,0,fint2c *),CHAR_LOC(2,3,0),PARAM(3,3,1,fint2c *));
  ftoc_free(FORmark);    /* <forif> */
}

#define IIDRST	iidrst_
ROUTINE IIDRST(dsplay,idst)
fint2c *dsplay;
fint2c *idst;
{
*idst = IIDRST_C(*dsplay);
}

#define IIDUPD	iidupd_
ROUTINE IIDUPD(dsplay,idst)
fint2c *dsplay;
fint2c *idst;
{
*idst = IIDUPD_C(*dsplay);
}

#define IIDICO	iidico_
ROUTINE IIDICO(dsplay,flag,idst)
fint2c *dsplay;
fint2c *flag;
fint2c *idst;
{
*idst = IIDICO_C(*dsplay,*flag);
}

/* CG. ATTENTION to local cconfno */

#define IIDSEL	iidsel_
ROUTINE IIDSEL(dsplay,confno,idst)
fint2c *dsplay;
fint2c *confno;
fint2c *idst;
{
int  cconfno;

cconfno = *confno;
cconfno --;			/* in C we count from 0 on ...  */

*idst = IIDSEL_C(*dsplay,cconfno);
}

#define IIDSDP	iidsdp_
ROUTINE IIDSDP(dsplay,chans,nochan,lutf,ittf,idst)
fint2c *dsplay;
fint2c *idst;
fint2c *chans;
fint2c *nochan;
fint2c *lutf;
fint2c *ittf;
{
*idst = IIDSDP_C(*dsplay,chans,*nochan,lutf,ittf);
}

#define IIDIAG	iidiag_
ROUTINE IIDIAG(dsplay,luno,idst)
fint2c *dsplay;
fint2c *luno;
fint2c *idst;
{
*idst = IIDIAG_C(*dsplay,*luno);
}

#define IIDQDV	iidqdv_
ROUTINE IIDQDV(dsplay,totcnf,szx,szy,depth,nlut,nitt,ncurs,idst)
fint2c *dsplay;
fint2c *totcnf;
fint2c *szx;
fint2c *szy;
fint2c *depth;
fint2c *nlut;
fint2c *nitt;
fint2c *ncurs;
fint2c *idst;
{
*idst = IIDQDV_C(*dsplay,totcnf,szx,szy,depth,nlut,nitt,ncurs);
}

#define IIDQDC	iidqdc_
ROUTINE IIDQDC(dsplay,confno,memtyp,totmem,confmd,memid,memszx,memszy,memdep,
	ittdep,nomem,idst)
fint2c *dsplay;
fint2c *confno;
fint2c *memtyp;
fint2c *totmem;
fint2c *confmd;
fint2c *memid;
fint2c *memszx;
fint2c *memszy;
fint2c *memdep;
fint2c *ittdep;
fint2c *nomem;
fint2c *idst;
{
*idst = IIDQDC_C(*dsplay,*confno,*memtyp,*totmem,
                 confmd,memid,memszx,memszy,memdep,ittdep,nomem);
}

#define IIDQCI	iidqci_
ROUTINE IIDQCI(dsplay,capa,outsiz,outdat,total,idst)
fint2c *dsplay;
fint2c *capa;
fint2c *outsiz;
fint2c *outdat;
fint2c *total;
fint2c *idst;
{
*idst = IIDQCI_C(*dsplay,*capa,*outsiz,outdat,total);
}

#define IIDSSS	iidsss_
ROUTINE IIDSSS(dsplay,memids,xoffs,yoffs,splitf,splx,sply,idst)
fint2c *dsplay;
fint2c *memids;
fint2c *splitf;
fint2c *xoffs;
fint2c *yoffs;
fint2c *splx;
fint2c *sply;
fint2c *idst;
{
*idst = IIDSSS_C(*dsplay,memids,xoffs,yoffs,*splitf,*splx,*sply);
}

#define IIDSNP	iidsnp_
ROUTINE IIDSNP(dsplay,colmode,npixel,xoff,yoff,depth,packf,data,idst)
fint2c *dsplay;
fint2c *colmode;
fint2c *npixel;
fint2c *xoff;
fint2c *yoff;
fint2c *depth;
fint2c *packf;
fint2c *data;
fint2c *idst;
{
*idst = IIDSNP_C(*dsplay,*colmode,*npixel,*xoff,*yoff,*depth,*packf,data);
}
